# Class Op.Delete

java.lang.Object
org.apache.zookeeper.Op
org.apache.zookeeper.Op.Delete

Enclosing class:
  `Op`

public static class Op.Delete extends Op

## Nested Class Summary

### Nested classes/interfaces inherited from class Op

`Op.Check, Op.Create, Op.CreateTTL, Op.Delete, Op.GetChildren, Op.GetData, Op.OpKind, Op.SetData`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`Record`
`toRequestRecord()`
Encodes an op for wire transmission.

### Methods inherited from class Op

`check, create, create, create, create, create, delete, getChildren, getData, getKind, getPath, getType, setData`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toRequestRecord

public Record toRequestRecord()
Description copied from class: `Op`
Encodes an op for wire transmission.

Specified by:
  `toRequestRecord` in class `Op`
Returns:
  An appropriate Record structure.